Package: org.gradle.model

## [Java] Annotation Type Defaults

- org.gradle.model.Defaults

- Denotes that the RuleSource method rule carrying this annotation initializes the rule subject with default values.

  Default rules execute first for a given subject, just after the subject has been created but before Model rules and Mutate rules. The first parameter of the rule is the rule subject, which is mutable for the duration of the rule.

  Please see RuleSource for more information on method rules.

- - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`